[00:00] kirkland: apache will have to be changed to use the status_of_proc stuff [00:00] zul: i'm considering that... [00:00] kirkland: But isn't the point that status_of_proc will die if it doesn't return 0, don't we have to wrap it in the same code as we did in the lsb.functions, the if[] construct? [00:01] zul: the only reason why i wouldn't is because the apache init script has it's own built in pid_of function [00:01] zul: that seems to be smarter and more specific to apache's array of daemons [00:01] zul: And it has internal knowledge on how apache works. [00:01] zul: i'm inclined to leave that on as is [00:01] * owh agrees [00:01] Same is true for MySQL IIRC [00:01] ....only if you want it to change [00:02] zul: Huh? [00:02] zul: i'm inclined to allow init scripts that have smarter status) actions do their own thing [00:02] zul: and we use our status_of_proc() for those that don't have anything yet [00:02] Yes, the status) we're doing is to help people who don't have one yet. [00:02] kirkland: oh I agree totally [00:03] owh: i'm still thinking about your point [00:03] zul: Standardising something that isn't standard makes no sense. [00:04] Providing the function is standard. That doesn't have to mean one and only one implementation. [00:05] ScottK: Yeah, I think we're all agreeing on that. [00:05] OK. [00:09] owh: so what do you recommend? [00:09] owh: at is set -e, bind9 is not [00:09] kirkland: Let's see if we can reason this out. [00:10] kirkland: I agree with a b and c, but it doesn't fix anything. [00:10] kirkland: So, the status function we built provides an output. [00:10] kirkland: Hold on, I cannot recall, do we send the status back also? [00:11] kirkland: Hmm, we do. [00:11] owh: the status_of_proc() function return 0 on running, non-zero on not running [00:11] kirkland: I suppose we could argue that the status_of_proc function succeeds, so it shouldn't return non-zero. [00:11] kirkland: I don't particularly like my argument. [00:12] kirkland: Ok, let's think about this in another way. Who is going to use status? [00:12] owh: at is the only one of all of those that is set -e [00:13] kirkland: That only means less work, but we haven't actually solved the problem. [00:13] owh: state the problem [00:13] kirkland: It's going to happen 5 years from now. [00:13] kirkland: The problem is that exit $? doesn't return the result in the way that we intend it to in all cases. [00:13] kirkland: That is. the status_of_proc() function return 0 on running, non-zero on not running [00:14] more and more scripts will use -e over time, fwiw [00:14] kirkland: So, five years from now, a happy hacker is going to come along, write an init.d script, use status and get burnt. [00:15] lamont: That is my understanding also - mind you, that comes from your contributions :) [00:15] owh: fine. status_of_proc() itself is set -e safe [00:15] kirkland: Yes. [00:15] owh: so i think you mean that our usage of status_of_proc needs to be set -e safe too [00:16] it just means that the interface to it becomes "if $(status_of_proc ...); then .... ; else ... fi; [00:16] kirkland: I think it does. [00:16] see grep -q, for example [00:16] owh: how about: [00:16] status_of_proc $DAEMON atd || exit $? [00:16] exit 0 [00:17] kirkland: I don't know if that works, but it looks right. [00:17] lamont: your thoughts? [00:17] status_of_proc $DAEMON && exit 0 || exit 1 [00:17] lamont: But the 1 may not be correct. [00:18] s/1/$?/ [00:18] lamont: that's known and accepted? [00:18] lamont: Why the && exit 0 ? [00:18] if it returned zero, then exit 0 [00:18] owh: it just puts it all on one line [00:18] Ah one, liner :) [00:19] more to the point A && B || C is a common abreviation of if A; then B; else C; fi [00:19] lamont: how about: [00:19] It looks horrible, but we can make that work I think. [00:19] status_of_proc /usr/sbin/named bind9 && exit $? || exit $? [00:19] providing of course, that B cannot fail [00:19] kirkland: ew [00:19] lamont: or is the explicit "0" better? [00:19] I'd use the explicit zero [00:19] lamont: status_of_proc /usr/sbin/named bind9 && exit 0 || exit $? [00:19] lamont: okey doke [00:19] kirkland: That construct is asking for a "smarter" person to remove the trailing part. [00:19] owh: :-D [00:20] kirkland: Yeah, keep the 0. [00:20] owh: if it's a set -e script, then you just make the || and beyond be prefixed with a '#' :) [00:20] Hold on for a moment. [00:20] lamont: That is where I was going too. Let me see if I can word this... [00:21] If we're in a set -e environment and a function call returns non-zero, the script is terminated, right? [00:21] If that is right, then what does the script terminate with? [00:21] not precisely [00:21] lamont: Lay it on me baby. [00:21] if a statement evaluates to non-zero, then it terminates [00:21] A && B || C is one statement [00:22] lamont: i'd like the construct to be the same in either set -e or not set -e [00:22] Right, but I'm stepping back a step. [00:22] lamont: What if A is non-zero? [00:22] if A; then foo; fi is a bit more fishy, since foo exiting could kill the script [00:22] if A returns non-zero, then you do C [00:22] lamont: The script terminates right? [00:22] No, hold on a mo. [00:22] if C returns 0, then you don't [00:22] If we only use A. [00:23] Forget about what we just constructed for a moment. [00:23] If the single statement is A. [00:23] A: if non-zero exit status, die with same [00:23] Then if it is non-zero, it terminates right? [00:23] iff set -e [00:23] Right [00:23] So, what exit code does it die with? [00:23] && == "if the previous thing was successful (zero status), then do this thing too" [00:24] No, forget about the && and || [00:24] -mix 635 : sh [00:24] -mix \! : set -e [00:24] -mix \! : sh [00:24] -mix \! : exit 2 [00:24] -mix 636 : echo $? [00:24] 2 [00:24] lamont: So, in a set -e environment, the code terminates with the exit code of the died statement. [00:25] -e errexit If not interactive, exit immediately if any untested command fails. The exit status [00:25] of a command is considered to be explicitly tested if the command is used to control [00:25] an if, elif, while, or until; or if the command is the left hand operand of an “&&” [00:25] or “||” operator. [00:25] that'd be from "man sh" [00:25] So, that means that in a non set -e environment, the exit $? exits with what it is supposed to. [00:26] kirkland: My point appears moot. The code as it stands will work just fine and dandy in both environments. [00:26] owh: cool, thanks. [00:26] lamont: Do you agree? [00:26] with which? [00:27] specifically "the code as it stands" == ?? [00:27] That the code we have now: http://launchpadlibrarian.net/13078414/diff.cron will work in both a set -e and non set -e space. [00:28] lamont: As in, we don't need no fancy && exit 0 || exit $? parts. [00:29] owh: that's why the comment was: "They also don't take into account that several of these init scripts use "set -e", which makes "exit $?" a completely redundant no-op..." [00:29] which means upstream will call you strange names and not take your patch [00:29] lamont: But that is only true in a set -e, not everywhere else. [00:29] it's not that it won't work, it's that it's redundant [00:30] lamont: Yes. But you cannot remove it from all scripts, only from the ones that are set -e. [00:30] lamont: Remember, we're trying to solve two things. Make a status function, and provide a code example for other script authors. [00:31] owh: which is specifically why the && || is better: it's clear, simple, and works without being redundant in all cases === freaky[t] is now known as fReAkY[t] [00:31] relying on -e is bad. exiting without explicitly meaning to is also bad [00:32] lamont: Now that is an argument I can agree with. [00:32] lamont: Can we code this inside our status_of_proc() rather than require the construct in each init.d script? [00:34] if I call status_of_proc and it causes my script to exit, I'll have to hurt someone [00:34] for the generic value of "I" [00:34] lamont: Yuk, true, but yuk. [00:34] Crap [00:35] if start-stop-daemon --start --oknodo --quiet --exec /usr/sbin/named \ [00:35] no different [00:36] in fact, the start) case of /etc/init.d/bind9 is not a bad example of using functions/commands that exit with, uh, exit codes [00:36] and it's not -e atm, I think [00:36] lamont: In fact that's a whole lot prettier than "&&exit 0||exit $?" [00:36] right [00:37] if status_of_proc $DAEMON atd; then [00:37] log_end_msg 0 [00:37] else [00:37] log_end_msg $? [00:37] fi [00:37] Something like that. [00:37] now look at the head of /etc/init.d/stop-readahead [00:37] owh: the atd syntax is exactly what the && || syntax is a short cut for [00:38] grep -q "profile" /proc/cmdline || exit 0 [00:38] functions that return zero vs nonzero are extremely common. and very useful, [00:39] Hmm, so at the moment we're really only arguing form :) [00:39] * owh wakes kirkland back up. [00:40] owh: ? [00:40] kirkland: Turns out we do need the construct. [00:40] owh: see http://pastebin.ubuntu.com/26063/ [00:41] kirkland: That's the one :) [00:41] kirkland: Can we replace this: status_of_proc /usr/sbin/named bind9 && exit 0 || exit $? [00:41] kirkland: With this: status_of_proc /usr/sbin/named $0 && exit 0 || exit $? [00:42] Or even: status_of_proc $DAEMON $0 && exit 0 || exit $? [00:42] Probably too obtuse. [00:43] * owh goes to find a box to hide under. [00:49] everyone please upgrade your DNS servers. [00:51] owh: $0 in an initscript could be all kinds of things... many of them starting with Snn or Knn... [00:51] and what kees said... pls to be upgrading your nameservers [00:52] lamont: Yeah and SEP :) [00:52] * lamont steps back for about 15 minutes to do something that he's been tryingto get done since about 1PKM [00:52] lamont: I haven't run a DNS server since I started with a satellite based Internet connection. [00:52] 1PM even [00:53] and have they upgraded? [00:53] or do you care who you talk to? [00:53] http://www.kb.cert.org/vuls/id/800113 [00:54] http://www.isc.org/index.pl?/sw/bind/bind-security.php [00:54] lamont: Well, the "corporation" doesn't know shit from sherlock and trying to actually talk to someone who understands the issue is harder than ignoring it. I still haven't found a satisfactory resolution, but have settled with OpenDNS for the moment. [00:55] lamont: It's not ideal by any stretch of the imagination. [00:55] owh: the only place where I currently use an opendns server, I don't actually use the answer other than to say "got one" vs "didn't get one" [00:56] lamont: But I'm guessing that you're not in an environment where your workstation is the only CPU, that it is a laptop and that it is connected via a high latency connection. [00:57] owh: that sounds like a perfect description of a situation where I'd run a local named configured to forward [00:57] anyway, away for 15 min or so [00:57] lamont: Lemmie know when you're back, we'll continue :) [01:20] I already tried asking this in #ubuntu-devel and #ubuntu-motu, but didn't get any response there [01:20] I'm looking for a little help on packaging a php extension [01:21] (the php zend guard/optimizer) [01:21] and I'm a bit at a loss as to where to put a certain file [01:21] Chipzz: have you looked at other php extension packages ? [01:22] yes but this is special [01:22] as in: really special [01:22] Chipzz: So, what is the file, why is it special, etc. Be specific. [01:23] normally, php extensions go in /usr/lib/php5/20060613+lfs [01:23] now I have /usr/lib/php5/20060613+lfs/ZendExtensionManager.so [01:23] which is correct [01:23] but this extenion is actually a loader for other extensions (which are zend extensions, not php extensions) [01:24] currently I have this in /usr/lib/php5/zend/php-5.2.x/ZendOptimizer.so [01:24] but I'm really not sure if this is correct, or if there is a better place [01:24] * owh would have thought in /usr/share, but that might not be correct. [01:25] no, since it's arch dependant [01:25] I suspect that there is a standard for that. [01:25] you can (kindof) specify the directory where it should go: [01:25] zend_extension_manager.optimizer=/usr/lib/php5/zend [01:25] but it takes a subdirectory (ie the php version) where it looks for the file [01:25] Chipzz: Are there other packages for other distributions? [01:26] not that I could find [01:26] the thing is, it is a free download, but you have to register [01:26] which I would want to work around by creating a package which builds the package [01:26] Chipzz: do you plan to upload that to the ubuntu archive ? [01:26] (cfr wine and qmail) [01:27] mathiaz: I wouldn't mind contributing it, no [01:27] but I'm not sure if it's suitable [01:27] Chipzz: what's the license ? [01:28] not exactly sure; there is a EULA and COPYRIGHT file which I can put online if you want to take a look? [01:28] errr [01:29] that should be: "cfr *pine* and qmail" above [01:29] not wine :) [01:30] Chipzz: you check with the ubuntu component definition - http://www.ubuntu.com/community/ubuntustory/components [01:30] Chipzz: to figure out in where this would go - I'd take a guess at multiverse [01:31] there's also another issue with the package which I'm not sure about what to do [01:32] zend offers a couple of products, among which zend optimizer and zend platform [01:32] zend optimizer is a free download, zend platform requires a license [01:33] both ship a version of the zend extension manager though, and both versions are different [01:33] on top of that, the version of the zend extension manager is seperate from the zend extensions it ships with [01:34] Chipzz: So, really, the file location question is a red herring. [01:34] ie in the zend optimizer package (which has version 3.3.3), the zend extension manager version is 1.2.2 [01:34] Chipzz: You have other, bigger issues, to deal with first. [01:34] mathiaz: augeas got sponsorship from kees one hour ago (or something) [01:35] owh: that would be one way of looking at it; for me proper packaging is important, and having a package which I can deploy on my servers is important to me [01:35] Chipzz: did you get in touch the maintainer that uploaded zend-framework (http://packages.ubuntu.com/hardy/web/zend-framework) ? [01:36] if I can contribute that back to debian/ubuntu in a way, that would be a plus [01:36] Chipzz: That is a fair enough point. [01:36] Chipzz: stephan seems to be the best person to talk to about your issue [01:36] mathiaz: hrrrm, I didn't notice that existed. I should take a look at that first I guess [01:37] I'm also looking to package other stuff which has less restrictive licensing [01:37] mathiaz: one package that may be of interest to you is... give me one second to look it up ;) [01:38] mathiaz: augeas got sponsorship from kees one hour ago (or something) [01:38] mathiaz: we can sync it when it's accepted === nxvl_ is now known as nxvl [01:38] mathiaz: i just uploaded a bunch of patches to https://bugs.edge.launchpad.net/ubuntu/+source/sysklogd/+bug/203169 [01:38] Launchpad bug 203169 in sysklogd ""status" function for init scripts" [Wishlist,In progress] [01:38] libapache-mod-ldapcfg [01:38] but that is packaged in debian [01:39] Chipzz: so it should be in ubuntu too [01:39] kirkland: How come you keep giving us edge links? [01:39] owh: i'm on the beta version of launchpad [01:39] also looking at mod_spnego, which you may be interested in too [01:39] *interesting [01:39] owh: their webserver should handle the redirection for you, no? [01:39] yeah, i have the same edge. problems [01:39] :P [01:39] it should be some way to avoid it [01:40] * nxvl will write a whislist bug against LP [01:40] kirkland: Yeah, I see the site, it all works, but you've also used that URL in a bug report :) [01:40] http://sourceforge.net/projects/modgssapache/ [01:40] owh: i don't think it really matters [01:40] Chipzz: that seems interesting - are you using these in production ? [01:40] i try to delete it when i think about it [01:40] kirkland: Fair enough :) [01:40] mathiaz: not yet, just compiled it today [01:40] owh: but I paste exactly 132847239723ad39820e Launchpad URLs every day ;-) [01:41] mathiaz: I need to get our reverse DNS in order, and then I'm going to try it on a test-server [01:41] kirkland: Stop teasing :) [01:42] mathiaz: I'm willing to contribute packaging I do to debian and/or ubuntu [01:42] Chipzz: well - if you start compiling stuff and want to properly package it for you server I'd suggest to try to get it into debian/ubuntu - it will increase a lot the testing of you software [01:42] mathiaz: there are some things about libapache-mod-ldapcfg which I find suboptimal though, and which should be changed IMO [01:42] Chipzz: your package [01:42] mathiaz: i have subscribed ubuntu-main-sponsors [01:42] mathiaz: and I've pinged a couple of the package owners (lamont, slangasek) [01:42] kirkland: great - that's the way to go :) [01:43] mathiaz: are there persons you suggest I coordinate with? [01:43] Chipzz: to do what ? upload new packages ? [01:43] upload/packaging itself/whatever [01:43] kirkland: You realise in the samba patch that if the first is not running, but the second is, it returns the wrong exit code? [01:43] people to mentor me maybe [01:43] owh: yes [01:43] Chipzz: MOTU is the best place the start - https://wiki.ubuntu.com/MOTU/ [01:43] or sponsoring to get it into debian [01:43] owh: that's why i put smbd second [01:44] owh: as it's "more" important, perhaps? [01:44] Chipzz: if you're mainly interested in server stuff, the ubuntu-server team is also a good place to start [01:44] kirkland: Only for those who don't depend on nmbd. [01:44] owh: the most important thing is that it's 0 if both are running, and non-zero if either are running [01:44] mathiaz: yeah I think that is more the case [01:44] Chipzz: as for sponsoring in debian, you'd have to get in touch with debian and mentors - I'm less aware of things work in debian [01:45] mathiaz: I know about MOTU :) but given the response to me php question I doubt that's the right place to start ;) [01:45] *my [01:45] kirkland: No, if nmbd is not running and smbd is running, it will return 0. [01:45] Chipzz: well - not everyone who is online a some point can give you the correct answer [01:45] Chipzz: it may require some patience - or ask on the ubuntu-motu mailing list [01:45] owh: i disagree [01:45] kirkland: You could "fudge" it by adding the result codes up :) [01:45] kirkland: How so? [01:46] * lamont iz bak [01:46] owh: status starts out at 0 [01:46] owh: first tests nmbd [01:46] kirkland: if ! status_of_proc smbd; then exit 0; fi [01:46] meh [01:46] http://launchpadlibrarian.net/15898688/samba.status.debdiff [01:47] status_of_proc smbd || exit $? || true\ [01:47] lamont: ^^ [01:47] status_of_proc nmbd || exit $? || true\ [01:47] exit 0 [01:47] and lose the \\ [01:47] Chipzz: for new packages, have a look at https://wiki.ubuntu.com/UbuntuDevelopment/NewPackages [01:47] lamont: see http://launchpadlibrarian.net/15898688/samba.status.debdiff [01:48] for i in "nmbd" "smbd"; do [01:48] Chipzz: and if you want a mentor, there is the MOTU mentoring program [01:48] wth use quotes? [01:48] kirkland: So, it starts at 0. nmbd is not running, so it changes. Then smbd is running, yuk. You are right, but yuk. [01:48] lamont: i think the quotes make it easier to read [01:48] mathiaz: well, mentoring (I think) would not be the main issue; rather sponsoring for getting the packages in debian would [01:48] Chipzz: if you're mainly interested in -server stuff than I can figure out ways to get you started [01:48] kirkland: uh... ok. [01:49] in a violently non-shell way, yes. [01:49] lamont: okay, i can remove the for loop [01:49] ROTFL [01:49] saves 1 line [01:49] mathiaz: currently mainly -server stuff, but possibly other packages too in the future [01:49] Chipzz: well - this is related to Debian - I cannot really help on that side [01:49] Chipzz: I can definetily help in getting stuff in ubuntu [01:50] mathiaz: yeah, but I'm guessing a lot of you guys are also debian maintainers, so I was thinking maintaining the package myself in ubuntu and having someone from the -server team do the uploads to debian would be best? [01:51] lamont: So, running named locally and forwarding it right? So, pray tell, whom do I forward to and moreover, how will this resolve my high-latency link issues? [01:51] Chipzz: You are confused by common sense :) [01:51] owh: well, instead of always asking opendns, you could forward to them, and cache the response locally [01:52] mathiaz: while I would be interested in maintaining stuff in debian myself too, the long procedure to becoming a debian maintainer is daunting, and I'm not exactly sure if it's worth it [01:52] lamont: Sure, but how would that improve the reliability of the responses I'm getting? Isn't that what sparked this discussion? [01:52] Chipzz: better the other way around if you really want your packages in debian [01:52] owh: well lamont sounds like a name I know from p.d.o ;) [01:52] Chipzz: the correct way is to get a sponsor to upload to debian until you're done with the $PROCESS [01:53] owh: well, presumably you'd want to find a nameserver that (1) would answer you, and (2) has a patched BIND [01:54] lamont: owh: try this on for size: http://pastebin.ubuntu.com/26086/ [01:54] lamont: So, it's going to speed up my resolution, which is great, but it's no different from pointing at an external DNS server. So, what I end up with is a named process that needs to hibernate when the laptop does, then wakes up, refreshes its cache and then starts serving me. [01:55] btw, while I'm here... does anyone have any thoughts on this bug? http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487993 [01:55] Debian bug 487993 in mysql-common "/usr/share/mysql/charsets/Index.xml should be shipped in mysql-common" [Important,Open] [01:56] kirkland: The mechanics are the same. I'm not sure if lamont was picking you up on the for..loop, rather than the "0" status. I was commenting on the non-assignment which hasn't changed :) [01:56] yeah -for loop or not is fine. [01:56] those quotes are offensive [01:56] * owh hands kirkland some pain killers :) [01:56] but then, I've coded in shell scripts for, um, long [01:57] * owh recalls stories from before there was standard voltages too :) [01:57] [01:58] * owh checks the status_of_proc bit. [01:58] lamont: I know where this comes from, the "0". We got picked up on it when we built the status_of_proc() function. [01:59] lamont: kirkland was just following the same standard :) [01:59] yeah - technically, you shouldn't need the quotes there either... [02:00] lamont: There was a whole debate about -eq and == and we made it the same everywhere IIRC. [02:00] heh [02:00] lamont: If you want more grey hair: http://launchpadlibrarian.net/15896559/lsb.status.debdiff [02:01] ah, so this status function has embedded output side effects... [02:01] lsb muppets [02:01] :-) [02:02] lamont: Hey, no fair, kirkland and I keep finding bugs in other peoples lsb code :) [02:03] owh: I didn't mean you and kirkland... I meant all those lsb folks who seem to not have a history of defensive shell programming [02:07] owh: lamont: okay, fair enough. quotes were gross. the for loop was unnecessary. are both of you happy with http://pastebin.ubuntu.com/26086/ as it stands? [02:07] kirkland: It's your name on the wrapper - go for it :) [02:08] kirkland: looks to be good [02:09] okay, i'll update the bug [02:11] kirkland: what if nmbd fails to start but smbd succeeds? or would that not be possible? [02:11] Chipzz: We covered that :) [02:11] looking at http://pastebin.ubuntu.com/26086/ at looks like status would get overwritten? [02:12] Chipzz: So, status starts at 0. nmbd is not running, so status changes. Then smbd is running, status is not changed. [02:13] owh: whoops, looks like I meant the inverse [02:13] :) [02:13] which is still valid [02:13] nm [02:13] Chipzz: We've been along this ground a few times now / [02:14] yeah I guess I'm just tired - past 3AM here ;) [02:15] * ogra wonders if you guys put so much effort into getting status feedback, why dont you directly start porting to upstart and forget about the initscript ? [02:15] ROTFL [02:15] ogra: We covered that too :) [02:16] ah, well, i only saw the paste above, upstart is supposed to be the default in intrepid and the more we get ported the better [02:16] so i thought i'D mention it :) [02:17] ogra: The original intent was to get this into hardy so we could have it for an LTS. [02:17] ogra: We ran into some opposition :) [02:17] i saw the discussion [02:19] and to be honest in ten years of debian server administration i have never actually missed status ... [02:20] ogra: We were trying to build some infrastructure to assist things like eBox etc. [02:20] yeah, understood ... i dont object ... i just never personally found a use for it over ps [02:32] kirkland: Very funny quote in that patch :) [02:32] ? [02:33] The uploaded patch with the comment about quotes :) [02:33] (Not in the patch, but the submission) [02:38] ah [02:38] :) [02:41] Anyone know how to get rsync to use a password file with an encrypted password, rather than a clear text one? [02:42] * owh wants to synchronise passwords between samba and rsync. [02:44] lamont, kees: good job on the bind9 update :) [02:44] jdstrand: thanks! lamont rocks. :) [02:44] jdstrand: other than me still needing to get something sane into sid/intrepid... :0( [02:45] jdstrand: it helps that I had time to create the packages [02:45] * jdstrand nods [02:46] and we have reasonable regression testing tools. :) [02:49] yeah for qa-regression-testing [02:49] s/yeah/yea/ [02:51] kees, as an aside, are you responsible for the ubuntu usn feed? [02:54] owh: I'm responsible for it's content (yes, we know it's ugly, plans are forming to deal with that) [02:54] kees: FYI The feed appears to be missing
 tags, so the formatting goes to pot when viewed in something like Thunderbird.
[02:54]  s/it's/its
[02:54]  owh: yeah, it looks very bad.  I *think* we have a solution, but I haven't had time to finalize it yet.
[02:55]  we were blocked for a while on some changes in the website, but that's done now.
[02:55]  the beauty of 4 cores and non-threaded builds is that one need not feel guilt for playing a game while waiting for a build to complete
[02:55]  kees: All good, it's not me then :)
[02:55]  owh: no, certainly not.  it looks really really ugly.  ;)
[02:55]  lamont: hehe
[02:55]  lamont: That all depends on which game :)
[02:56]  like the 4149 levels before it, this one _shall_ pass.
[02:56]  owh: the definitive timewaster
[02:56]  kobodeluxe
[02:56]  So was my samba/rsync question silly, unknowable, wrong, clueless ... ?
[02:57]  uh... dunno.  what was the question?
[02:57]  Anyone know how to get rsync to use a password file with an encrypted password, rather than a clear text one?
[02:57]  * owh wants to synchronise passwords between samba and rsync.
[02:58]  rsync over ssh?
[02:58]  Yeah, but that adds a whole layer of requirements for non Linux clients.
[02:59]  The real reason is so that a user doesn't accidentally overwrite someone elses backup.
[02:59]  lamont: Hmm, kobo doesn't run on an N95 :)
[02:59]  heh
[02:59]  lamont: Seems to run everywhere else :)
[03:00]  lamont: Hmm, QNX as a platform to run kobo, seems someone has too much time on their hands.
[03:05]  lamont: 574kB, now that's a selling point.
[03:06]  frozen-bubble wins on the cool "you can do that with just perl and sdl????" front though
[03:06]  lamont: I didn't know that. It's vewwy vewwy addictive :)
[03:16]  owh: so, rsync with encrypted passwords but not ssh?? dunno
[03:17]  pretty sure the rsync daemon just likes to have a secrets file that's cleartext
[03:17]  and certain that the proto defaults to all cleartext, all the time
[03:17]  Yeah, that's my understanding also.
[03:17]  mebbe an stunnel wrapper?
[03:17]  The rsync server is an embedded machine with very little in the way of CPU overhead left.
[03:18]  Think NAS device.
[03:18]  then encrypt before pushing.
[03:19]  lamont: As I said, it's not so much "security" as "stop idiots from overwriting eachother's files".
[03:20]  Of course, someone will give them all the same password, but that's a problem for a different day :)
[03:21]  Hmm, perhaps I can "force" the module based on the client's IP or MAC address
[03:21]  that's just a matter of forcing the target based on source IP maybe?
[03:22]  Yeah, that's what I was just thinking.
[03:23]  Ooh, there's even an RSYNC variable for it: RSYNC_HOST_ADDR
[03:23]  :)
[03:24]  WFM, thanks for the comments lamont.
[04:12]  does installing phpmyadmin require any repositories or anything on 8.04 hardy?
[05:43]  fresh install 6.10 server. cant remove cd from sources and add packman via command line.
[05:44]  try apt-get update. gives errors. can see default web page from another box on network. any ideas whats going wrong?
[05:45]  SiMeoN_: pastebin your /etc/apt/sources.list file: pastebin.ubuntu.com
[05:49]  not familiar with vim. gedit not installed, any other editor to use?
[05:50]  nano
[05:50]  thanks
[05:50]  also
[05:50]  i think 6.10 is not supported anymore
[05:50]  * nxvl confirms
[05:51]  yep
[05:51]  already dead this may
[05:51]  nxvl: but i believe repos are still available right?
[05:51]  don't think so
[05:51]  o come on.
[05:51]  nope
[05:51]  not anymore
[05:51]  http://pe.archive.ubuntu.com/ubuntu/dists/
[05:52]  6.06 is still supported since it's LTS
[05:52]  but not 6.10
[05:52]  thanks
[05:52]  yep, not available anymore
[07:36]  note that folks can at least still do package installs and updates for 6.10 and earlier via the http://old-releases.ubuntu.com/ubuntu site
[07:36]  just no security patches etc
[07:36]  ..no _ongoing_ patches
[08:07]  moin
[08:27]  Good to know, not that I have any old boxes but good to know none the less.
[09:34]  I'm in the process of writing an email to the list about Bug #242505, but before I do, are there any suggestions on a way to get this issue attended to?
[09:35]  owh: Error: Could not parse data returned by Launchpad: The read operation timed out
[09:35]  Niice
[09:35]  https://bugs.launchpad.net/ubuntu/+source/linux-meta/+bug/242505
[09:35]  Launchpad bug 242505 in linux-meta "vmware kernel modules for 2.6.22-15 missing" [Undecided,New]
[09:35]  Thanks :)
[09:35]  * owh just loves artificial intelligence :)
[09:51]  hello all, can anybody lead me to the starting point of constructing vpn server , a vpn connection from outside my company to use my internal services
[09:54]  exot: https://help.ubuntu.com/community/VPNServer
[09:55]  henkjan, thank you
[09:55]  just a question, does that able to use pptp ?
[09:56]  the ubuntu wiki is a nice source of documentation
[09:57]  yes I know :)
=== fReAkY[t] is now known as freaky[t]
[13:04]  hey fellas
[13:05]  I am looking for a log event management solution, something like splunk that allows me to analyze, search, graph log data etc but I am looking for something open source
[13:06]  basically a free as in beer version of splunk, any ideas?
[13:25]  Hi, anyone got success installing an openvz-ish kernel image?
[13:35]  linux-headers-2.6.24-20-openvz depends on linux-headers-2.6.24-20 however Package linux-headers-2.6.24-20 is not installed.
[13:35]  how can I just build the linux-header deb ?
[13:38] <\sh> gabbs: hmm? linux-headers-2.6.24-20 ? apt-get install ?
[13:39]  can't find it
[13:40]  Can someone tell me how I can delete a svn project serversided? I reated a test-project upon installation and now want to remove it...
[13:40] <\sh> Zyna: never...it needs some svnadmin magic
[13:41]  how's that?
[13:42] <\sh> Zyna: svnadmin magic means: "rm -Rvf " on the server where the repo is stored...or do I understand you totally wrong?
[13:43] <\sh> gabbs: btw...where do you found 2.6.24-20?
[13:43]  repository
[13:44] <\sh> gabbs: which repository? the latest I found was 2.6.24-19
[13:44]  the code repository
[13:44]  git
[13:44] <\sh> ah
[13:44]  Hiya, whats the recomended pmacct client? pnrg looks good but i don't see it in the repo.
[13:45]  but someone in ubuntu-kernel told me how to fix it, so its all good now I think
[13:45]  * gabbs tests
[13:51]  \sh, aren't the svn projects stored in some kind of db? just deleting the directory wuld result in an empty project, wouldn't it?
[13:51] <\sh> Zyna: it would result in "no project anymore at all" :)
[13:52]  \sh, ok, maybe I just thought about it to complicated... thx
[13:54] <\sh> Zyna: emptying the database, you can do imho only with the BDB tools which breaks the whole svn db, too...so wanting to recreate a project completly, just delete the whole dir with the db inside and all other svn infos...and svnadmin create  from scratch
[13:57]  \sh, ok, this is weired... I just deleted the directory on the server, then co'ed the project successfully, it even transfered all the structure even though it is no longer present on the server...?
[13:58] <\sh> Zyna: you sure that your checkout path is on this server and not somewhere else?
[14:03]  absolutly, I use the IP to co
[14:06] <\sh> strange...I have: (example) my checkout path is: http://foo.bar.tld/svn/project .... and on the server where this svn repo sits, (in directory: /storage/svn/project) when I delete it: cd /storage/svn/ ; rm -Rvf project ; cd .. and do another checkout, the webserver tells me, that there is no /svn/project anymore...
=== freaky[t] is now known as fReAkY[t]
[14:11]  \sh, maybe I am confusing something? here my dav_svn.conf, my project-directory and my successfull co -> http://ubuntuusers.de/paste/390089/
[14:13]  jetole, Have a look at RRDtool http://oss.oetiker.ch/rrdtool/
[14:13]  jetole, It does graphing, unfortunatly it is based on "sampling". I.e you cant recreate a graph from timestamps
[14:14]  jetole, rrdtool is developed by the same guy who made mrtg
[14:23]  nandersson: did you get the right name there
[14:23]  I didn't ask anything about rrdlog, graphing or any of that
[14:24]  I already use rrdlog too in cacti
[14:26]  does anyone know if there is a simple openvz tutorial for ubuntu-server ?
[14:26]  apparently the linux-image-openvz is not booting on my remote server =/
[14:26]  https://help.ubuntu.com/community/OpenVZ
[14:26]  that was google hit 1 on ubntu openvz
[14:27]  It's spelled "ubuntu"
[14:27]  That must be why.
[14:27]  heh
[14:27]  actually it's this new thing, maybe you've heard about it
[14:27]  they call it a typo
[14:27]  I hate those.
[14:28]  /ne too
[14:28]  :P
[14:28]  :)
[14:28]  btw, that was also hit 1 on help.ubntu.com too
[14:29]  so no one can suggest a good log event management program (that is not splunk) eh?
[14:29]  logwatch?\
[14:30]  Hobbit can also be configured to do regex searches on logs.
[14:30]  yeah I use it
[14:30]  looking for something to help build a good search and management solution though
[14:31]  hobbit?
[14:31]  lemme look that up
[14:31]  yup
[14:31]  its more for monitoring but can watch logs.
[14:31]  kinda like nagios + logs?
[14:32]  btw, i fscking adore nagios
[14:32]  Dunno, i havn't used nagios extensivly.
[14:32] <\sh> Zyna: your svn path is: /var/local/svn :)
[14:33] <\sh> Zyna: that's where your svn projects are hiding :)
[14:33]  nagios is very very very cool
[14:33]  hobbit works nicely and is easy to configure. No complaints.
[14:34]  you know
[14:34]  this looks familier actually
[14:34]  I think I used it once upon a time
[14:35]  Not big brother? It is a spin-off.
[14:35]  anyways, nagios last night sent me a text message on my cell phone that our secondary sql server was down
[14:35]  it kinda looks weak to me
[14:36]  hobbit is not as powerful as nagios
[14:36]  one app I was looking at this morning was php-syslog-ng
[14:36]  Lol, don't tell me about SMS's, I get way too many a day.
[14:36]  \sh, nope, that's just where all the svn stuff lays... http://ubuntuusers.de/paste/390092/#
[14:36]  from?
[14:36]  lukehasnoname: How so?
[14:36]  I don't care about SMS from people
[14:36]  hobbit monitoring our custom services.
[14:36]  I wanna know when corperate machine die
[14:37] <\sh> Zyna: yes..that's your repo dir...argl
[14:37] <\sh> Zyna: I think I understand your problem now :)
[14:37]  hobbit is good but from what I hear, nagios is more detailed, and has a large plugin system
[14:37]  they're gsm based and monitored useing a modem so there is the odd failure.
[14:38]  \sh, when doing svn co IP/svn/project1/ I want it to say: Sry, there ain't no svn project there
[14:38] <\sh> Zyna: you have something like this: http://foo.bar/svn/trunk/project1 http://foo.bar/svn/trunk/project2 etc. and you want to remove project2 from the repo..
[14:38]  YES
[14:38] <\sh> Zyna: svn help remove  :)
[14:38]  thx... gotta go do some errounds... thx for the support
[14:39]  CrummyGummy: I have not used hobbit, but what lukehasnoname was saying, well let's put it this way, it currently does snmp, smtp, pop3, http, ftp, https and mssql checks for where it verifies the service itself and doesn't just look for an open port, it manages parents so if a router is out then it tells me instead of telling me 20 services dies because it doens't know the router to them died
[14:40]  and it manages snmp traps and notifies on them as well
[14:40]  it handles notifications, it can tell you if a disk is too full or cpu has peaked or if a service on said host is not running
[14:41]  nagios really does own
[14:41]  log management is just the last aspect that I need, cacti and nagios seem to cover all else
[14:42]  * soren is a munin+nagios sort of person
[14:42]  * jetole has never heard of munin
[14:42]  The next version (tm) of hobbit  will have snmp trap support. And the heirarchical router thing you were talking about isn't supported. The rest is in hobbit.
[14:42]  Hugin and Munin are the ravens of the Norse god king Odin. They flew all over Midgard for him, seeing and remembering, and later telling him.
[14:43]  jetole: Yes....
[14:44]  I love how this munin home page tells me more about norse gods then even their faq does about what munin does
[14:44]  meanwhile, in the real world, hugin is a panorama picture generation application and munin is very much like cacti.
[14:44]  Damn not another mythical named project. Try searching google for hobbit support...
[14:44]  oh
[14:44]  found the "about munin"
[14:44]  Anyone got an idea what the meaning is of "Starting up ..." and then the systems doesn't boot at all?
[14:44]  The message doesn't change
[14:44]  just a blinking cursor
[14:45]  gabs, post grub?
[14:45]  no idea - I have a remote console attached to the server (its remote) and thats all I see
[14:45]  hmm ... I could send a signal to hard reset the box
[14:45]  I would
[14:45]  ip kvm?
[14:46]  LARA eco
[14:46]  yes would have also been a good answer
[14:47]  well, I wanted to be specific
[14:47]  I know, I just didn't care what kind
[14:48]  "Yes, LARA eco", would be both useful and specific :)
[14:48]  true :P
[14:48]  yeah
[14:48]  I had to google it to know it was a kvm over ip
[14:48]  I had to wait for someone to google it to know it was a kvm over ip
[14:49]  see gabbs we all had to wait for me to google it
[14:49]  it says grub loading stage2, then Starting up ... and thats it
[14:49]  lol
[14:49]  ok, escape grub this time and remove the quiet option from the kernel
[14:49]  lol yea - sorry guys :D
[14:49]  how do you escape grub?
[14:49]  although
[14:49]  from what I hear
[14:49]  it shows very briefly, not sure I can get in there
[14:49]  sounds like grub
[14:50]  escape it with the escape key
[14:50]  * CrummyGummy never got kvm working over a remote terminal. btw, is there a port for the HP proliant tools in the ubuntu repo?
[14:50]  CrummyGummy: doubt it
[14:50]  * gabbs tries
[14:50]  it took me forever to get the dell DRAC kvm cards working over firefox like the add from dell claimed it would
[14:51]  even senior open management techs from dell told me it won't work but it does now but only cause of some obscure blog I found
[14:51]  It should work over a net terminal no?
[14:52]  soren, what do you use for log management?
[14:52]  jetole: What exactly do you mean by "log management"?
[14:53]  well logwatch is great but lots of people have lots of systems sending logs to a server and surely someone must know a program to help sort and search and analyze the data
[14:53]  splunk does just that but it's either crippled or expensive
[14:54]  jetole, just ESC -> d on quiet, then b to boot, right?
[14:54]  Right now, I don't bother. I just leave them on the servers so that I can go look at them if I'm bored.
[14:54]  gabbs: I think
[14:54]  soren: you don't deal with many server issues, do you?
[14:54]  well, thats what I think too, but it still only shows Starting Up ...
[14:54]  I used to work at a place where we just grabbed all the logs from all the servers via ssh when they had been rotated, but didn't do any analysis of them.
[14:55]  I have a dozen windows servers and about 15 linux servers aggregating in syslog on one server
[14:55]  jetole: Yeah. Trouble with that is that it only works for stuff that uses syslog.
[14:55]  when an issue arises it's a pain to deal with that
[14:56]  Define "server issues".
[14:56]  soren: that is linux, windows two sonic wall firewalls at our firm
[14:56]  My job is to deal with a type of server issues, so that's what I do all day.
[14:56]  I don't deal with Windows.
[14:56]  server issues: something is not working the way it is supposed to on a server
[14:56]  ?
[14:56]  My stuff works.
[14:56]  Sorry.
[14:56]  :)
[14:57]  When something is failing, that's when I go look at the logs.
[14:57]  don't worry, I hate windows too but that option came with the job
[14:57]  me too
[14:57]  unless it's ssh that's broken, it's not much of a problem to have to log into a different machine to inspect logs.
[14:57]  but greping and parsing, etc etc gets to be a pain in the ass on huge log files
[14:58]  And even then, it's rarely a problem. All but one of my servers are virtual, so I have console access.
[14:58]  jetole: *shrug*
[14:58]  yeah
[14:58]  hello!
[14:58]  world!
[14:58]  is there a grub channel here on freenode or do I go to #linux ?
[14:58]  *grin*
[14:58]  I think it's more of a pain to try to guess ahead of time what's going to break in order to make good patterns to look for.
[14:58]  having an issue with a new lamp install on JeOS
[14:59]  What's the problem?
[14:59]  alright, well I have to scoot for a bit
[14:59]  gabbs unless its a network boot grub prob i would suggest you go to #ubuntu and try there
[15:00]  soren: Do you use a network console to connect to your virtual servers? KVM?
[15:00]  hmm, #ubuntu is full of "how can I load my ipod and log on to MSN" questions that flood the channel
[15:00]  it will be hard to place a question there methinks
[15:01]  pidgin answers one of those
[15:01]  but I agree
[15:01]  that is a good question.
[15:01]  #ubuntu is a shit channel
[15:01]  gave up on it last night.
[15:01]  CrummyGummy: Err.. no.
[15:01]  let me remember!
[15:01]  CrummyGummy: Why on earth would I do that?
[15:01]  * jetole leaves
[15:01]  yea jetole - gonna give it a shot anyway, at this point I am desperate :P
[15:02]  gabbs: What is your problem?
[15:02]  gabbs: I mean that in the helpful way.
[15:02]  heh
[15:02]  well, all I get is "Starting up ..." when booting
[15:02]  not the "hey, wtf is your problem?!?" way.
[15:02]  and there seems nothing I can do about it
[15:03]  Oh, that.
[15:03]  soren: You make it sound like a bad thing? I need to setup a few virtual machines and I'd like to do that without traveling to the server room. I can't think of a better way. Just the implementation I'm not sure of.
[15:03]  CrummyGummy: Then I don't understand what you mean.
[15:04]  CrummyGummy: I don't hook up a special network console to interact with my virtual machines. I connect via vnc.
[15:05]  I tried the vnc thing. It failed for some reason. (I can't remember why) I'll try that again.
[15:05]  netconsole seemed like the easiest option. It just doesn't work. for me anyway...
=== fReAkY[t] is now known as freaky[t]
[15:06]  gabbs: So you don't even get to pick a kernel in Grub?
[15:06]  I do
[15:06]  I hit ESC, get the selection, remove quiet and savedefault and all, press b to boot it then and its the same
[15:07]  hmmm.  can't seem to locate the error, but still can't seem to open the index.html page using an internal IP.
[15:08]  when I run this: netstat -lnp | grep ':80' I get this: tcp        0      0 0.0.0.0:80              0.0.0.0:*               LISTEN      6360/apache2
[15:08]  should there be no IP or an IP other than 0.0.0.0?
[15:08]  0.0.0.0 means it's bound to any and all ips
[15:08]  gabbs: Then what makes you think it's a grub issue?
[15:09]  well, tries several kernels
[15:09]  *tried
[15:09]  gabbs: Yes.... ?
[15:09]  duh.  I should know that!
[15:09]  then nuts, why can't I connect?
[15:10]  hi all i bought hp ml110 g5 server but i dont apply raid1 how can i do  ?
[15:10]  i use 8.04
[15:11]  in theory, by going to the server IP on my local network I should be able to hit the /var/www/index.html page, no?
[15:11]  yup
[15:11]  can you ping the server ip? can you ssh to the server? is there any firewalling on the server, or between you and the server?
[15:12]  are you sure you're not typo-ing the ip?
[15:12]  Any ipv6 involved?
[15:12]  gabbs: Did you try the recovery option?
[15:12]  that's what I thought!  any settings I may want to check?
[15:12]  no ipv6.
[15:13]  soren, I am getting somewhere :D
[15:13]  now it stops at: Checking 'hlt' instruction... OK.
[15:13]  then stops at that point
[15:14]  * gabbs consults google
[15:14]  What's the hardware?
[15:14]  can ping.  not typo-ing IP (although I've been known to!)
[15:15]  AMD XP3000+, 1GB RAM
[15:15]  gbooks: I'm not sure I've heard yet what "can't connect" means...
[15:15]  (yea, oldskool)
[15:15]  gabbs: That should be fine.
[15:16]  it seems he fails to either find or detect the number of CPU's
[15:16]  because thats apparently the next output
[15:17]  no firewalling... I may have forgotten to mention this is a VM installation.  shouldn't make a difference... I can SSH in, and ping from the host server.
[15:17]  just can't seem to connect via http
[15:17]  thanks soren.  I usually forget key details when explaining things!
[15:18]  I still haven't heard what "can't connect" means.
[15:18]  not sure my message made it through
[15:19]  gabbs: Which kernel are you using?
[15:19]  "can't connect" is can't connect via http from host server to this VM
[15:19]  ...
[15:19]  does it refuse the connection or time out?
[15:19]  time out
[15:19]  Hang on..
[15:20]  You can SSH and ping from the host server, you say?
[15:20]  Where are you trying http frmo?
[15:20]  from, even?
[15:20]  from the VM host server
[15:20]  Ok.
[15:20]  which can ping the VM in question
[15:21]  ping is special, though.
[15:21]  It can also ssh?
[15:21]  soren, I am using linux-image-2.6.24-20-openvz
[15:21]  I can SSH from host server just fine
[15:21]  gabbs: Could you try a non-openvz kernel, perhaps?
[15:22]  gbooks: try restarting apache?
[15:22]  and/or try connecting from the vm to localhost
[15:22]  localhost/http to see if it can manage that
[15:23]  gbooks: Did you say earlier that you can connect to it from other places? Or am I just confused?
[15:23]  Deeps, just restarted via: apache2 -k restart
[15:24]  netstat looks the same as previous.
[15:24]  try to connect to the http server from the vm
[15:24]  soren, only trying from host server atm, no external IP yet...
[15:24]  use telnet/netcat/links/whatever
[15:24]  (i'm assuming you dont have a gui)
[15:25]  I blame firewalls.
[15:26]  let me check something...
[15:27]  I have another VM that has external IP and connects via HTTP just fine, and also cannot connect on local IP.  methinks my network is screwy!
[15:28]  I'll have to pick this up later.  Thanks Deeps!  Thanks soren!
[15:42]  can you help me i wanto use raid card on hp porliant ml110 g5
[15:42]  but hp give redhat and suse driver
[15:42]  how can i fix ?
[15:49]  what kernel cpu config would you set for a athlon xp ?
[15:49]  its not exactly a K7, not a a64 either
[15:53]  anyone know of a way to unserialize data serialized with php's serialize function using python?
[15:54]  hello guys! big troubles with ssh...
[15:54]  http://pastebin.us/?show=m7dc3a772
[15:55]  kirkland: are you ok with those patches that you mailbombed yesterday
[15:55]  nm, there's no built in method... sigh
[15:55]  zul: hang on
[15:55]  sommer: php? whats that..
[15:55]  zul: don't commit yet
[15:56]  kirkland: ok
[15:56]  zul: i think those patches (the ones that use status_of_proc()) are fine
[15:56]  kirkland: let me know when
[15:56]  zul: however, there's some discussion as whether or not status_of_proc() is complete
[15:56]  zul: trying to unserialize some data from a db that's been serialized using php, but only I want to use python because it's sort of a shell script
[15:56]  zul: I'm working on another patch to status_of_proc() that I hope will satisfy a couple of questions from slangasek, lamont, and mdz
[15:57]  kirkland: heh good luck :)
[15:57]  "questions".  heh
[15:57]  zul: thanks, i'm going to need more than luck
[15:57]  zul: i need "The Force"
[15:57]  sommer: heh
[15:57]  kirkland: keep that ducttape away from me
[15:57]  as in "You don't need to see his identification...."
[16:00]  s/identification/justification/
[16:17]  lamont: hey, i just subscribed you to 246735
[16:17]  meh
[16:17]  :-)
[16:17]  lamont: i have a patch at the bottom of there that adds pidfile support to status_of_proc
[16:17]  ah, ok
[16:17]  lamont: and solves the user-not-root-but-using-kill problem in a backward-compatible way
[16:18]  nice
[16:18]  bug 246735
[16:18]  Launchpad bug 246735 in lsb "status_of_proc() calls pidofproc() which calls kill, requiring ownership privileges on the process" [Medium,Fix released] https://launchpad.net/bugs/246735
[16:18]  lamont: let me know if i'm on crack ;-)
[16:18]  * lamont really needs to remember the stupid url templ;ate
[16:18]  bugs plural, not in the hostname, and no '+'.  got it
[16:21]  status_of_proc "-p /var/run/bind/run/named.pid" bind9
[16:21]  ew
[16:21]  but yeah, it's not terribly insanely unreasonable
[17:16]  New bug: #246990 in amavisd-new (universe) "amavisd-release broken on 8.04 LTS" [Undecided,New] https://launchpad.net/bugs/246990
[18:12]  \sh, ping!
[18:15]  Can somebody help me with a svn problem? I've created a test project upon installation, now I want to completely remove it from the server... my project lies in /svn/project1/ I've deleted the entire directory however, I can still successfully co the project from my local machine. How do I delete the project from the svn server (serversided) I am aware, that I can do a svn rm, however, that would just remove the files and not the project it
[18:15]  self
[18:23]  * delcoyote hi
=== dantaliz1ng is now known as dantalizing
=== yell0w_ is now known as yell0w
[19:55]  hello all
[19:57]  anyone knows how to setup kolab2.1 with ldap 2.4 under ubuntu8.04-server?
[19:57]  anyone knows that there exist any "ready" kolab2.2 packages for ubuntu8.04-server?
[20:52]  New bug: #228619 in samba (main) "samba group share not writable by group members" [Undecided,Incomplete] https://launchpad.net/bugs/228619
[21:01]  soren: Do we have a writeup on why kvm over zen?
[21:01]  zen/xen
[21:03]  I haven't looked thoroughly yet, but I hope the KVM ubuntu documentation is really top-notch, because there aren't any books on KVM out. Xen has the edge on that market, and might be why it's still very popular
[21:03]  oh don't worry about that... it's super duper!
[21:06]  super duper?
[21:07]  my synonym for top-notch :)
[21:33]  I am having issues trying to install a Hardy (8.04) DomU on top Xen Dom0, when during the install the kernel panics and the DomU shuts down and when I start it back up the install starts again
[21:34]  6.06 installs and runs fine with our Xen setup and if I trying to install 6.06 and then upgrade to 8.04 the only kernel that will boot is the 6.06 recovery kernel
[21:34]  I looked through launchpad and could find a similar bug and I am not sure what component I should file a bug against or if anybody knew a similar bug report already
[21:35]  or if anybody knows any solutions/work arounds for this problem that would be great
[21:46]  I'm trying to install 8.04.1 and when reading from the cd it eventually fails, looking at the console log there are a bunch of messages about ata exception emask 0x0 sact 0x0 (frozen) soft resetting link
[21:49]  I'm trying to install ebox, I did .. sudo apt-get install ebox ... downloaded all the libs and installed them fine then at the end it breaks when actually installing ebox..
[21:49]  The ebox group has not been set in the config file.Creating the eboxlogs database
[21:50]  i googled but couldnt find anyone with tthe exact same error message.. breaks even when i use the ebox repos...
[21:51]  dpkg: error processing ebox (--configure):  .... the entire message is .. http://pastebin.ubuntu.com/26301/
[21:55]  I'm pretty sure I had it working at one time.. then I apt-get removed it.. but I was trying to get it back and play with it again, not sure if it recently broke or it broke because I had it installed before.. i tried removing the old certs and config files it had put in before also for it to regenerate them..
[22:13]  When I'm at work, I have to use IE6 for net access. Whenever I go to LP I get a "This page contains secure and nonsecure items. Continue?" error on EVERY page.
[22:14]  Is there a way to disable this in IE or should LP be coded better? >_>
[22:16]  lukehasnoname: No I don't think you can disable it and in this case it's not LP that should be coded better.
[22:17]  damn.
[22:20]  LP could do better about not using TLS where it's not needed, but it's a complex problem for them.
[22:23]  LP?
[22:24]  launchpad
[22:27]  lamont: hiya
[22:27]  lamont: looks like slangasek and i have agreed upon an implementation of status_of_proc() that supports pidfiles
[22:28]  lamont: I opened a new bug with a one-liner to fixup bind9's init script as such.
[22:28]  lamont: https://bugs.launchpad.net/ubuntu/+source/bind9/+bug/247084
[22:28]  Launchpad bug 247084 in bind9 "bind9 init script status_of_proc() call should use pid" [Low,In progress]
[22:40]  New bug: #236794 in bind9 (main) "dig crashed with SIGSEGV in start_thread() (dup-of: 113417)" [Undecided,New] https://launchpad.net/bugs/236794
[22:41]  New bug: #247084 in bind9 (main) "bind9 init script status_of_proc() call should use pid" [Low,In progress] https://launchpad.net/bugs/247084
[22:41]  zul: https://bugs.launchpad.net/ubuntu/+source/at/+bug/247091 is ready for sponsorship
[22:41]  Launchpad bug 247091 in at "at init script should suppor t the 'status' action" [Wishlist,In progress]
[22:48]  ScottK: Not an accurate one, no.
[22:51]  soren: Since the decision in made, I think it would be highly useful to have an answer to that FAQ that we could reliably use.
[22:51]  I get asked by people who know I'm an Ubuntu dev and it'd be nice to have an accurate answer to give them.
[22:51]  ScottK: Sounds reasonable.
[22:52]  kirkland: coolness
[22:56]  mm
[22:56]  i need to talk to foolano
[22:57]  i have found coolness with sooner augeas support
[22:57]  http://config-model.wiki.sourceforge.net/
[22:57]  :D
[23:15]  New bug: #247096 in dovecot (main) "dovevot init script should support the 'status' action" [Wishlist,In progress] https://launchpad.net/bugs/247096
[23:17]  kirkland: is there a list of services with missing status function to help with while augeas get accepted
[23:17]  ?
[23:17]  nxvl: owh generated a list a while back
[23:17]  nxvl: i don't remember where he put it
[23:18]  nxvl: if you have an intrepid box, grep for status) in your /etc/init.d directory
[23:18]  nxvl: rather, find scripts in /etc/init.d that don't have "status)"
[23:19]  will try
[23:19]  now i need to go for a bit
[23:19]  nxvl: see the list of bugs in https://bugs.launchpad.net/ubuntu/+source/lsb/+bug/203169/comments/33
[23:19]  Launchpad bug 203169 in sysklogd ""status" function for init scripts" [Wishlist,In progress]
[23:19]  nxvl: all of those have patches
[23:20]  i will figure out a way to have a list
[23:20]  nxvl: you can follow those for a model
[23:20]  nxvl: yeah, or generating a list of init scripts missing status actions
[23:20]  nxvl: i had a script that found those at one time....
[23:20]  nxvl: as did owh
[23:20]  yeah
[23:21]  by have a list i mean generate it
[23:21]  now i need to go for a bit
[23:21]  kirkland: i will ping you at night when i expect to have it
[23:21]  :D
[23:21]  read you!
[23:21]  New bug: #247103 in openssh (main) "ssh init script should support the 'status' action" [Wishlist,In progress] https://launchpad.net/bugs/247103
[23:25]  New bug: #247087 in samba (main) "samba init script status action" [Low,In progress] https://launchpad.net/bugs/247087
[23:35]  Hi
[23:36]  is this the channel for help with Ubuntu Server Edition?
[23:36]  Quatroking: yes it is
[23:36]  Alright
[23:36]  I need some help with mine, I can't get the network working.
[23:36]  mathiaz: are server guide translations going to stay in rosetta or gonna change to bzr?
[23:36]  Quatroking: ask your question :)
[23:37]  Well, I'd like to know how I can set up my network.
[23:37]  It won't seem to connect to it at all
[23:38]  Quatroking: you mean you want to configure an interface to connect to an specific network?
[23:38]  Well I cant get any coinnection to my network whatsoever
[23:38]  connection*
[23:38]  I've tried to ping google, but then i get "connect: Network is unreachable"
[23:39]  Quatroking: pastebin your /etc/network/interfaces and /etc/resolv.conf
[23:39]  I'm currently on an other pc as the Server has no internet connection.
[23:40]  The server is next to me, though.
[23:40]  Quatroking: what are you using to connect to internet, switch? router?
[23:40]  do you have DHCP enabled on your network?
[23:41]  I have a PC running Win2K which uses a WiFi to connect to the internet, and passes on the internet signal to a switch.
[23:41]  Yes, I have DHCP enabled.
[23:42]  The Win2K machine acts like an access point, sort of.
[23:43]  The switch does show some network activity though
[23:45]  Quatroking: ok, so win2k is your gateway which has dhcp enabled so that your clients gain an IP address dynamically, right?
[23:45]  Yes.
[23:46]  Quatroking: ok so, check your /etc/network/interfaces file an should show something like: iface eth0 inet dhcp
[23:46]  how do i open the file again?
[23:46]  i forgot the command.
[23:46]  Quatroking: cat /etc/network/interfaces will show the file contents
[23:48]  it says
[23:48]  "auto lo
[23:48]  iface lo inet loopback"
[23:48]  Quatroking: ok, so that means that your network card is not there, do this now: ifconfig
[23:48]  and tell me if it shows information for eth0 or eth1 or something like that
[23:49]  no eth0 or eth1.
[23:49]  only that lo again
[23:49]  Quatroking: maybe your network card has not been recognized or something like that.. try using lshw and see if it shows your network card
[23:50]  or ping 127.0.0.1 to see if loopback is working
[23:50]  it throws down a whole list, how can i read all of it?
[23:51]  and pinging works
[23:51]  Quatroking: lshw | more or you can filter by: lshw | grep "string"
[23:52]  how do i stop the pinging?
[23:52]  Quatroking: try issuing a: sudo ifup eth0 or sudo ifup eth1 or restarting networking sudo /etc/init.d/networking restart
[23:52]  Quatroking: Ctrl +C
[23:53]  what i'm guessing is that your network card has not been detected when you installed ubuntu server...
[23:53]  you can try modifying /etc/network/interfaces and add: auto eth0 iface eth0 inet dhcp
[23:53]  auto eth0
[23:53]  iface eth0 inet dhcp
[23:54]  "ïgnoring unknown interface eth0=eth0."
[23:54]  Quatroking: what about eth1
[23:54]  same but with a 1
[23:54]  Quatroking: ok so it seems that your network card has not been detected
[23:54]  how do I install it?
[23:55]  Quatroking: what network card are you using?
[23:55]  I got two cards in it, a 3com and an intel
[23:55]  !help
[23:55]  Hi! I'm #ubuntu-server's favorite infobot, you can search my brain yourself at http://tinyurl.com/5zfb6t - Usage info: http://wiki.ubuntu.com/UbuntuBots
[23:55]  i can check the product code of the 3com, but  I don't know about the intel
[23:55]  the 3com is intergrated by the way
[23:56]  Quatroking: so is it a 3com network card or intel network card?
[23:56]  both.
[23:56]  it got 2 cards.
[23:56]  one intergrated and one in the PCI bay
[23:56]  Quatroking: those are the supported 3com cards: https://wiki.ubuntu.com/HardwareSupportComponentsWiredNetworkCards3Com?highlight=(3com)
[23:56]  RoAkSoAx: nope - the server guide translation should stay in rosetta
[23:57]  RoAkSoAx: We'd probably try to get rid of the po file in the bzr branch
[23:57]  RoAkSoAx: and add them only when uploading a src deb
[23:57]  mathiaz: ok cool (btw, discard my comments in your blog :))
[23:58]  oh, i was wrong, the 3com is in the pci bay, and the intel is intergrated
[23:59]  kirkland: are you doing some iso testing for alpha2 ?
[23:59]  mathiaz: not at the moment
[23:59]  kirkland: I've tried to boot a test install in kvm and it doesn't work AFAICT
[23:59]  mathiaz: i'm finishing the init script stuff
[23:59]  mathiaz: I only realized this after you left... zend-framework is something totally different; zend-framework is a set of php classes (ie php files), zend-platform and zend-optimizer are zend extensions. so zend-framework is of no use to me packaging wise ;)
[23:59]  mathiaz: yeah, kvm is hosed for intrepid right now
[23:59]  Quatroking: try using a live cd and verify is the cards are recognized... otherway you'll have to install the drivers manually... and sorry got to go